数据提供商: DataForSEO
使用DataForSEO,根据指定的关键词和地点来查找Google上的招聘信息。
默认输入规模下,每次调用 $0.0006异步运行,需轮询 Run
通过 DataForSEO SERP 任务获取Google 职位数据。每个 Run 对应一个原生任务,仅提交一次,由供应商 pingback 回调完成,并通过持久化 Provider Job 从 task_get 读取结果。按 DataForSEO 自身的计量费用计费,最多返回 200 条结果;空结果集按无结果处理。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/serp/google/jobs/task_post on Glasser.bash
glasser run -p dataforseo -e '/v3/serp/google/jobs/task_post' -i '{"keyword":".net developer","language_code":"en","location_code":2840}' --endpoint-version 4使用接口版本 4。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/serp/google/jobs/task_post","input":{"keyword":".net developer","language_code":"en","location_code":2840},"endpoint_version":4}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 4,运行前请确认当前价格。
第 2 步尝试一个具体任务
制作研究简报时,可以查找与你的主题相关的已发布帖子,将它们用作资料来源。
复制此提示词到你的 Agent,查找研究简报所需的帖子。
提示词
Use dataforseo:/v3/serp/google/jobs/task_post on Glasser.
Find published content about my topic in the returned posts for a research brief.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"keyword"
],
"properties": {
"tag": {
"type": "string"
},
"depth": {
"type": "integer",
"maximum": 200,
"minimum": 1,
"description": "Results to collect (1-200, default 10). DataForSEO bills each page of up to 10 results."
},
"keyword": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"priority": {
"type": "integer",
"description": "Task priority: 1 normal (default) or 2 high. DataForSEO charges extra for high priority."
},
"language_code": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"language_name": {
"type": "string"
},
"location_code": {
"type": "integer"
},
"location_name": {
"type": "string"
},
"employment_type": {
"type": "array",
"items": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"maxItems": 100,
"minItems": 1
},
"location_radius": {
"type": "string",
"maxLength": 2048,
"minLength": 1
}
},
"additionalProperties": false
}json
{
"keyword": ".net developer",
"language_code": "en",
"location_code": 2840
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 默认输入规模 | 更大的输入和付费选项会随数据提供商的用量而改变费用。 有无匹配数据均按此价格收费。 | $0.0006 |
|---|---|---|
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.12 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |